package com.kmall.admin.entity.mk.store;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 门店满减活动层级表，活动减免类型为00：按满足最高层级减一次时增加的活动层级数据实体
 * 表名 mk_store_camp_minus_level
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2019-05-29 17:41:04
 */
public class MkStoreCampMinusLevelEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 满减活动层级id
     */
    private Integer campMinusLevelId;
    /**
     * 减免活动类型， 00:满x元减，01:满x件减，10:满x元折，11:满x件折，减免活动类型为00，01时，减免方式必选
     */
    private String campMinusType;
    /**
     * 满减活动id
     */
    private Integer campMinusId;
    /**
     * 减免方式【minus_mode，00:满足最高层级减一次，10:每满一次减一次】，1、减免方式选择10时，满件、满元每人最多项必填；2、减免方式为00，如设置每满100（2件）减10元，满200（4件）减20元....等； 按最高层级优惠满减，仅减一次。
     */
    private String minusMode;
    /**
     * 满元减条件(元)
     */
    private BigDecimal yuanMinusCond;
    /**
     * 满元减优惠(元)
     */
    private BigDecimal yuanMinusPref;
    /**
     * 满件减条件(件)
     */
    private Integer pieceMinusConf;
    /**
     * 满件减优惠(元)
     */
    private BigDecimal pieceMinusPref;
    /**
     * 满减件每人优惠(元)，填0代表不设置上限，减免活动类型为10，且减免方式选择10时，满件每人最多项必填。
     */
    private BigDecimal pieceMinusEachDisc;
    /**
     * 满元折条件(元)，大于等于0的2位小数
     */
    private BigDecimal yuanDiscCond;
    /**
     * 满元折优惠(折)，大于0且小于10的1位小数。
     */
    private BigDecimal yuanDiscPref;
    /**
     * 满件折条件(件)，大于等于0的整数
     */
    private Integer pieceDiscConf;
    /**
     * 满件折优惠(折)，大于0且小于10的数，可带1位小数。
     */
    private BigDecimal pieceDiscPref;
    /**
     * 是否有效,0:有效，1:无效
     */
    private String isValid;
    /**
     * 备注
     */
    private String note;
    /**
     * 创建人编号
     */
    private String createrSn;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改人编号
     */
    private String moderSn;
    /**
     * 修改时间
     */
    private Date modTime;
    /**
     * 时间戳
     */
    private Date tstm;

    /**
     * 设置：满减活动层级id
     */
    public void setCampMinusLevelId(Integer campMinusLevelId) {
        this.campMinusLevelId = campMinusLevelId;
    }

    /**
     * 获取：满减活动层级id
     */
    public Integer getCampMinusLevelId() {
        return campMinusLevelId;
    }
    /**
     * 设置：减免活动类型， 00:满x元减，01:满x件减，10:满x元折，11:满x件折，减免活动类型为00，01时，减免方式必选
     */
    public void setCampMinusType(String campMinusType) {
        this.campMinusType = campMinusType;
    }

    /**
     * 获取：减免活动类型， 00:满x元减，01:满x件减，10:满x元折，11:满x件折，减免活动类型为00，01时，减免方式必选
     */
    public String getCampMinusType() {
        return campMinusType;
    }
    /**
     * 设置：满减活动id
     */
    public void setCampMinusId(Integer campMinusId) {
        this.campMinusId = campMinusId;
    }

    /**
     * 获取：满减活动id
     */
    public Integer getCampMinusId() {
        return campMinusId;
    }
    /**
     * 设置：减免方式【minus_mode，00:满足最高层级减一次，10:每满一次减一次】，1、减免方式选择10时，满件、满元每人最多项必填；2、减免方式为00，如设置每满100（2件）减10元，满200（4件）减20元....等； 按最高层级优惠满减，仅减一次。
     */
    public void setMinusMode(String minusMode) {
        this.minusMode = minusMode;
    }

    /**
     * 获取：减免方式【minus_mode，00:满足最高层级减一次，10:每满一次减一次】，1、减免方式选择10时，满件、满元每人最多项必填；2、减免方式为00，如设置每满100（2件）减10元，满200（4件）减20元....等； 按最高层级优惠满减，仅减一次。
     */
    public String getMinusMode() {
        return minusMode;
    }
    /**
     * 设置：满元减条件(元)
     */
    public void setYuanMinusCond(BigDecimal yuanMinusCond) {
        this.yuanMinusCond = yuanMinusCond;
    }

    /**
     * 获取：满元减条件(元)
     */
    public BigDecimal getYuanMinusCond() {
        return yuanMinusCond;
    }
    /**
     * 设置：满元减优惠(元)
     */
    public void setYuanMinusPref(BigDecimal yuanMinusPref) {
        this.yuanMinusPref = yuanMinusPref;
    }

    /**
     * 获取：满元减优惠(元)
     */
    public BigDecimal getYuanMinusPref() {
        return yuanMinusPref;
    }
    /**
     * 设置：满件减条件(件)
     */
    public void setPieceMinusConf(Integer pieceMinusConf) {
        this.pieceMinusConf = pieceMinusConf;
    }

    /**
     * 获取：满件减条件(件)
     */
    public Integer getPieceMinusConf() {
        return pieceMinusConf;
    }
    /**
     * 设置：满件减优惠(元)
     */
    public void setPieceMinusPref(BigDecimal pieceMinusPref) {
        this.pieceMinusPref = pieceMinusPref;
    }

    /**
     * 获取：满件减优惠(元)
     */
    public BigDecimal getPieceMinusPref() {
        return pieceMinusPref;
    }
    /**
     * 设置：满减件每人优惠(元)，填0代表不设置上限，减免活动类型为10，且减免方式选择10时，满件每人最多项必填。
     */
    public void setPieceMinusEachDisc(BigDecimal pieceMinusEachDisc) {
        this.pieceMinusEachDisc = pieceMinusEachDisc;
    }

    /**
     * 获取：满减件每人优惠(元)，填0代表不设置上限，减免活动类型为10，且减免方式选择10时，满件每人最多项必填。
     */
    public BigDecimal getPieceMinusEachDisc() {
        return pieceMinusEachDisc;
    }
    /**
     * 设置：满元折条件(元)，大于等于0的2位小数
     */
    public void setYuanDiscCond(BigDecimal yuanDiscCond) {
        this.yuanDiscCond = yuanDiscCond;
    }

    /**
     * 获取：满元折条件(元)，大于等于0的2位小数
     */
    public BigDecimal getYuanDiscCond() {
        return yuanDiscCond;
    }
    /**
     * 设置：满元折优惠(折)，大于0且小于10的1位小数。
     */
    public void setYuanDiscPref(BigDecimal yuanDiscPref) {
        this.yuanDiscPref = yuanDiscPref;
    }

    /**
     * 获取：满元折优惠(折)，大于0且小于10的1位小数。
     */
    public BigDecimal getYuanDiscPref() {
        return yuanDiscPref;
    }
    /**
     * 设置：满件折条件(件)，大于等于0的整数
     */
    public void setPieceDiscConf(Integer pieceDiscConf) {
        this.pieceDiscConf = pieceDiscConf;
    }

    /**
     * 获取：满件折条件(件)，大于等于0的整数
     */
    public Integer getPieceDiscConf() {
        return pieceDiscConf;
    }
    /**
     * 设置：满件折优惠(折)，大于0且小于10的数，可带1位小数。
     */
    public void setPieceDiscPref(BigDecimal pieceDiscPref) {
        this.pieceDiscPref = pieceDiscPref;
    }

    /**
     * 获取：满件折优惠(折)，大于0且小于10的数，可带1位小数。
     */
    public BigDecimal getPieceDiscPref() {
        return pieceDiscPref;
    }
    /**
     * 设置：是否有效,0:有效，1:无效
     */
    public void setIsValid(String isValid) {
        this.isValid = isValid;
    }

    /**
     * 获取：是否有效,0:有效，1:无效
     */
    public String getIsValid() {
        return isValid;
    }
    /**
     * 设置：备注
     */
    public void setNote(String note) {
        this.note = note;
    }

    /**
     * 获取：备注
     */
    public String getNote() {
        return note;
    }
    /**
     * 设置：创建人编号
     */
    public void setCreaterSn(String createrSn) {
        this.createrSn = createrSn;
    }

    /**
     * 获取：创建人编号
     */
    public String getCreaterSn() {
        return createrSn;
    }
    /**
     * 设置：创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 设置：修改人编号
     */
    public void setModerSn(String moderSn) {
        this.moderSn = moderSn;
    }

    /**
     * 获取：修改人编号
     */
    public String getModerSn() {
        return moderSn;
    }
    /**
     * 设置：修改时间
     */
    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    /**
     * 获取：修改时间
     */
    public Date getModTime() {
        return modTime;
    }
    /**
     * 设置：时间戳
     */
    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }

    /**
     * 获取：时间戳
     */
    public Date getTstm() {
        return tstm;
    }
}
